Package org.eclipse.lemminx.services.snippets

## Class ProcessingInstructionSnippetContext

- java.lang.Object
- - org.eclipse.lemminx.services.snippets.ProcessingInstructionSnippetContext

All Implemented Interfaces:
  `ISnippetContext<ICompletionRequest>`, `IXMLSnippetContext`

    public class ProcessingInstructionSnippetContext
    extends Object
    implements IXMLSnippetContext

Snippet context used to filter if Processing Instruction Snippets should be triggered or not.

### Field Summary

Fields
`static IXMLSnippetContext` `DEFAULT_CONTEXT`

### Constructor Summary

Constructors
`ProcessingInstructionSnippetContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isMatch​(ICompletionRequest request, Map<String,​String> model)` Return true if the given value match the snippet context and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_CONTEXT

    public static IXMLSnippetContext DEFAULT_CONTEXT

### Constructor Detail

#### ProcessingInstructionSnippetContext

    public ProcessingInstructionSnippetContext()

### Method Detail

#### isMatch

    public boolean isMatch​(ICompletionRequest request,
                           Map<String,​String> model)

Description copied from interface: `ISnippetContext`
Return true if the given value match the snippet context and false otherwise.

Specified by:
  `isMatch` in interface `ISnippetContext<ICompletionRequest>`
Parameters:
  `request` - the value to check.
Returns:
  true if the given value match the snippet context and false otherwise.